- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# descriptorTableUnion Union Reference

`#include <gdt.h>`

Collaboration diagram for descriptorTableUnion:

[legend]

## Data Fields
gdtDescriptor | descriptor
unsigned long | dummy
gdtGate | gate

## Detailed Description

Definition at line 77 of file gdt.h.

## Field Documentation

struct gdtDescriptor descriptorTableUnion::descriptor

Definition at line 78 of file gdt.h.

unsigned long descriptorTableUnion::dummy

Definition at line 80 of file gdt.h.

struct gdtGate descriptorTableUnion::gate

Definition at line 79 of file gdt.h.

Referenced by setTaskVector(), and setVector().

The documentation for this union was generated from the following file:

- src/sys/include/sys/gdt.h